Chuyển đến nội dung
Diễn đàn CADViet

Bảng xếp hạng


Nội dung phổ biến

Hiển thị nội dung có danh tiếng cao nhất vì 19/07/2021 trong Bài đăng

  1. 2 điểm
    Do trên Autodesk forum có 1 bạn hỏi về tìm các text trùng nhau, tôi post lên đây để mọi người tham khảo. Code chọn các text trùng điểm chèn. using System; using System.Collections.Generic; using Autodesk.AutoCAD.Runtime; using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.DatabaseServices; using Autodesk.AutoCAD.EditorInput; using Autodesk.AutoCAD.Geometry; namespace Gia_Bach { public class TextDuplicatePosition { [CommandMethod("GetTextOverlap")] public void GetTextOverlap() { Document doc = Application.DocumentManager.MdiActiveDocument; Database db = doc.Database; Editor ed = doc.Editor; PromptSelectionOptions pso = new PromptSelectionOptions(); pso.AllowDuplicates = false; pso.MessageForAdding = "Select Text"; pso.RejectObjectsOnLockedLayers = true; TypedValue[] tv = { new TypedValue((int)DxfCode.Start, "Text") }; SelectionFilter sf = new SelectionFilter(tv); PromptSelectionResult psr = ed.GetSelection(pso, sf); if (psr.Status != PromptStatus.OK) return; using (Transaction tr = db.TransactionManager.StartTransaction()) { Dictionary<Point3d, List<DBText>> dic = new Dictionary<Point3d, List<DBText>>(); int sosole = 1; Point3d insPt; foreach (ObjectId oid in psr.Value.GetObjectIds()) { DBText txt = tr.GetObject(oid, OpenMode.ForRead) as DBText; if (txt.Justify == AttachmentPoint.BaseLeft) insPt = txt.Position; else insPt = txt.AlignmentPoint; insPt = RoundAndFlaten(insPt, sosole); if (dic.ContainsKey(insPt)) { List<DBText> lst = dic[insPt]; lst.Add(txt); dic[insPt] = lst; } else { dic.Add(insPt, new List<DBText>() { txt }); } } // đổi màu các text trùng nhau int color = 151; foreach (KeyValuePair<Point3d, List<DBText>> kvp in dic) { List<DBText> txtLst = kvp.Value; if (txtLst.Count > 1) { // đổi màu foreach (DBText txt in txtLst) { txt.UpgradeOpen(); txt.ColorIndex = color; } } } tr.Commit(); } } Point3d RoundAndFlaten(Point3d pt, int digits) { return new Point3d(Math.Round(pt.X, digits), Math.Round(pt.Y, digits), 0); } } } File dll cho CAD 2013~2021 cho các bạn sử dụng, NETTLOAD để load dll vào CADvà gõ lệnh GetTextOverlap thực thi. GetTextOverlap.zip
  2. 1 điểm
    Có thể giải pháp cấp cho họ tọa giới hạn window hiện hành để họ đưa vào lệnh zoom/window trên máy họ.
  3. 1 điểm
  4. 1 điểm
  5. 1 điểm
    Bác DungNguyen thấy hay cứ hỏi miết, nó là Gread thôi mà, mang tính biểu diễn thôi, LM rất hay dùng.
  6. 1 điểm
  7. 1 điểm
    Đây nhé! https://www.mediafire.com/file/uxo15butdibd1gr/VR.VLX/file
  8. 1 điểm
    @vipgun cảm ơn người ta đã góp ý xong để đấy không làm theo. Giờ bạn nhận lisp về xong lúc sau lại đăng yêu cầu thêm ví dụ: sửa cho em để nhập khoảng cách offset, sửa cho em linetype, layer này nọ,...v..v. Như thế sẽ rất mất thời gian và ức chế cho người bỏ thời gian ra giúp bạn miễn phí. Đăng bài nhờ viết lisp nên ghi yêu cầu rõ ràng, tốt nhất là có file cad nhé bạn.
  9. 1 điểm
  10. 1 điểm
    Yêu cầu cụ thể là thế nào bạn. Nhắn zalo mình nhé 0976379894
  11. 1 điểm
    Bác nói chuẩn quá. Không rõ đầu vào nhưng cũng test thử.
  12. 1 điểm
    Tôi xài cad cũng chục năm rồi mà chưa hê thấy có trường hợp qua lại model layout mà xảy ra lỗi như vậy. Nếu zoom all bên model thì góc trái dưới là -3.6e76 và góc phải trên là 3.6e76, zoom xa như vậy chắc phải bao trọn cả trái đất này chư không phải nhỏ!! Cải này là cô tình chứ không phải vô ý (ý tôi là người tạo bản vẽ không muốn bị copy). Cách giải quyết nhanh nhất là dùng lisp thôi, bạn chịu khó gg "tu layout sang model" là ra thôi mà.
  13. 1 điểm
    Bạn phải thông cảm là không phải mọi người đều là dân cơ khí và có kiến thức về cơ khí như bạn. Hình tròn ban đầu bạn có theo tỉ lệ gì. Hình tròn mới tạo cách hình tròn ban đầu bao nhiêu? Do bạn nhập vào hay theo tỉ lệ % đường kính ban đầu hay là 1 giá trị luôn cố định. Cái đứt khúc đó theo quy định nào. Tương tự các đường tim cũng vậy.
  14. 1 điểm
    Qua bên layout vẽ đường xl qua vị trí chi tiết cần zoom. Qua bên model xóa hết mấy block vớ vẩn đi. Mình làm rồi mới nói chứ không nói cho vui với bạn đâu. Không xóa đi thì zoom đến mai cũng chẳng thấy được.
  15. 1 điểm
    Zoom chưa tới nên chưa thấy, Cách zoom: - Vẽ 1 đoạn thẳng có tâm là 0,0 để biết tọa độ 0,0 nằm ở vị trí nào (bản vẽ của bạn nằm gần mốc này) - Xóa toàn bộ các đối tượng bên ngoài của điểm mốc tọa độ 0,0 - Sau đó xóa đoạn thẳng vừa vẽ - Zoom all sẽ thấy
  16. 1 điểm
    Bạn xem có mất đối tượng nào không nhé! 02.Gia co TL dap dat.dwg
  17. 0 điểm
    em muốn xuất khoảng cách giữa các lỗ khoan và hàng khoan kèm theo số thứ tự lỗ khoan từ cad ra excel thì có slips nào dùng được không ạ? hoặc ai viết được giúp em vs ạ. như file e đăng là e muốn xuất được khoảng cách giữa các lỗ và cao độ các lỗ. em nhập tay hàng ngày nhục quá. nhờ ace cho em mở mang tầm mắt với ạ hcnm 86. 314.302 dwg.dwg
  18. -1 điểm
    Ý em là có cách nào để vẽ nhanh kí tự đó không? chứ không phải là vẽ từng nét
  19. -1 điểm
    Cho em hỏi muốn vẽ thế này thì vẽ sao vậy ạ!!! Em cảm ơn
  20. -1 điểm
  21. -1 điểm
    Vấn đề không nằm ở tên file. Vì mình gom mấy lisp vào 1 file. Các lệnh khác thì bình thường. Chỉ 1 số lệnh không thực hiện. Mà chỉ lỗi trên cad 2016 thôi
  22. -1 điểm
    Cám ơn bạn @Doan Nguyen Van bạn làm gần ra ý mình rồi đó, sẽ có hai thao tác 1 và 2 như hình và áp dụng cho tất cả các object được chọn.
  23. -1 điểm
    Hiện tại em đang có một LISP như em đã đính kèm bên dưới, lisp chỉ sử dụng được đối với line, nhờ mấy anh em giúp em để nó có thể sử dụng với arc ạ! Cảm ơn! zb bung cau am.lsp
  24. -1 điểm
    Em có 1 số lisp hoạt động tốt trên cad 2007, 2014. Nhưng khi load trong cad 2016 không gọi được lệnh. Nhiều lệnh bỏ cùng 1 file nhưng có lệnh thực hiện, lệnh không thực hiện. Cụ thể là các lệnh xắp xếp hay cắt Dim, lệnh lọc đối tượng... không thực hiện. Có bác nào biết nguyên nhân lỗi sửa giúp em với
  25. -2 điểm
    Cảm ơn bác đã quan tâm. Do bác dungnguyen685 đã viết đúng ý em rồi nên em không để ý đến nữa. Đường tròn cần offset ra tỉ lệ nhất định với đường tròn có sẵn (cái này các bác có thể % vừa mắt mình là được chứ cũng không có quy ước gì đâu. Còn đường tâm thì trong cad có sẵn nên không cần quan tâm tỉ lệ lắm. Bác dungnguyen685 có cho thông tin, số điện thoại để liên lạc nhưng không liên lạc được (chắc bận). Vậy các bác có chỗ nào chưa rõ cứ cmt, em sẽ trả lời nhé.
Bảng thành tích này được đặt thành Tp. Hồ Chí Minh /GMT +07:00


  • Newsletter

    Want to keep up to date with all our latest news and information?

    Sign Up
×